function [data_uni] = importfile_unisim (fileToRead1)
d = csvread(fileToRead1,11,0);
last= length(d);

%Time
time = csvread(fileToRead1,11,0, [11,0,last,0]);

%Robiler duty in Debutaniser
data_uni.Reb1 = csvread(fileToRead1,11,1, [11,1,last,1]);

%Robiler duty in Butane splitter
data_uni.Reb2 = csvread(fileToRead1,11,2, [11,2,last,2]);

%I-butane molar flow
data_uni.M = csvread(fileToRead1,11,3, [11,3,last,3]);

%I-butane purity
data_uni.Mx = csvread(fileToRead1,11,4, [11,4,last,4])*100;


%Sorting the data
data_uni.time_s=time(:,1);
data_uni.time_min=time/60;
data_uni.time_hr=time/60/60;


vars = fieldnames(data_uni);
for i = 1:length(vars)
    assignin('base', vars{i}, data_uni.(vars{i}));
    
end