function [data_uni] = importfile_unisim (fileToRead1)
d = csvread(fileToRead1,11,0);
last= length(d);

%Time
time = csvread(fileToRead1,11,0, [11,0,last,0]);

%Depropaniser
data_uni.FIC_100 = csvread(fileToRead1,11,1, [11,1,last,2]);
data_uni.LIC_102 = csvread(fileToRead1,11,3, [11,3,last,4]);
data_uni.LIC_103 = csvread(fileToRead1,11,5, [11,5,last,6]);
data_uni.PIC_101 = csvread(fileToRead1,11,7, [11,7,last,9]);
data_uni.TIC_104 = csvread(fileToRead1,11,10, [11,10,last,12]);
Comp1 = csvread(fileToRead1,11,13, [11,13,last,14]);

%Debutaniser
data_uni.FIC_200 = csvread(fileToRead1,11,15, [11,15,last,16]);
data_uni.LIC_202 = csvread(fileToRead1,11,17, [11,17,last,18]);
data_uni.LIC_203 = csvread(fileToRead1,11,22, [11,22,last,23]); 
data_uni.PIC_201 = csvread(fileToRead1,11,19, [11,19,last,21]);
data_uni.TIC_204 = csvread(fileToRead1,11,24, [11,24,last,26]);
Comp2 = csvread(fileToRead1,11,27, [11,27,last,28]);

%Butane splitter
data_uni.FIC_300 = csvread(fileToRead1,11,29, [11,29,last,30]);
data_uni.LIC_302 = csvread(fileToRead1,11,31, [11,31,last,32]);
data_uni.LIC_303 = csvread(fileToRead1,11,36, [11,36,last,37]);
data_uni.PIC_301 = csvread(fileToRead1,11,33, [11,33,last,35]);
data_uni.TIC_304 = csvread(fileToRead1,11,38, [11,38,last,40]);
Comp3 = csvread(fileToRead1,11,41, [11,41,last,42]);

%Sorting the data
data_uni.time_s=time(:,1);
data_uni.time_min=time/60;
data_uni.time_hr=time/60/60;

data_uni.Comp1_D=Comp1(:,1)*100; %converting to per cent
data_uni.Comp1_B=Comp1(:,2)*100; %converting to per cent
data_uni.Comp2_D=Comp2(:,1)*100; %converting to per cent
data_uni.Comp2_B=Comp2(:,2)*100; %converting to per cent
data_uni.Comp3_D=Comp3(:,1)*100; %converting to per cent
data_uni.Comp3_B=Comp3(:,2)*100; %converting to per cent


vars = fieldnames(data_uni);
for i = 1:length(vars)
    assignin('base', vars{i}, data_uni.(vars{i}));
    
end